VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Group & Items"
   ClientHeight    =   3630
   ClientLeft      =   1965
   ClientTop       =   1575
   ClientWidth     =   3585
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   242
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   239
   Begin VB.Frame Frame2 
      Caption         =   "Item"
      Height          =   1575
      Left            =   120
      TabIndex        =   6
      Top             =   1920
      Width           =   3375
      Begin VB.TextBox ItemPathText 
         Height          =   285
         Left            =   1080
         TabIndex        =   10
         Text            =   "D:\Tmp\Ideas.txt"
         Top             =   600
         Width           =   2175
      End
      Begin VB.CommandButton CmdCreateItem 
         Caption         =   "Create Item"
         Height          =   495
         Left            =   1080
         TabIndex        =   9
         Top             =   960
         Width           =   1215
      End
      Begin VB.TextBox ItemNameText 
         Height          =   285
         Left            =   1080
         TabIndex        =   7
         Text            =   "My New Item"
         Top             =   240
         Width           =   2175
      End
      Begin VB.Label Label1 
         Caption         =   "Item Path"
         Height          =   255
         Index           =   3
         Left            =   120
         TabIndex        =   11
         Top             =   615
         Width           =   975
      End
      Begin VB.Label Label1 
         Caption         =   "Item Name"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   8
         Top             =   255
         Width           =   975
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Group"
      Height          =   1695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3375
      Begin VB.TextBox GroupFileText 
         Height          =   285
         Left            =   1080
         TabIndex        =   4
         Text            =   "mygroup.grp"
         Top             =   720
         Width           =   2175
      End
      Begin VB.CommandButton CmdCreateGroup 
         Caption         =   "Create Group"
         Height          =   495
         Left            =   1080
         TabIndex        =   2
         Top             =   1080
         Width           =   1215
      End
      Begin VB.TextBox GroupNameText 
         Height          =   285
         Left            =   1080
         TabIndex        =   1
         Text            =   "MyGroup"
         Top             =   360
         Width           =   2175
      End
      Begin VB.Label Label1 
         Caption         =   "Group File"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   5
         Top             =   735
         Width           =   975
      End
      Begin VB.Label Label1 
         Caption         =   "Group Name"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   3
         Top             =   375
         Width           =   975
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetVersion Lib "Kernel32" () As Long

' Create a new program group.
'   lbl     Label for sending DDE messages
'   gname   The group's name
'   fname   Group file name
Private Sub CreateGroup(lbl As Label, gname As String, fname As String)
Dim i As Integer

    lbl.LinkTopic = "ProgMan|Progman"
    lbl.LinkMode = 2
    DoEvents
    lbl.LinkTimeout = 100

    ' Create the program group.
    lbl.LinkExecute "[CreateGroup(" & gname & _
        "," & fname & ")]"

    ' Restore lbl values.
    lbl.LinkTimeout = 50
    lbl.LinkMode = 0
End Sub

' Create a new item in a group.
'   lbl     Label for sending DDE messages
'   gname   The group's name
'   cmd     Fully qualified command for item
'   iname   The item's name
Private Sub CreateItem(lbl As Label, gname As String, cmd As String, iname As String, minimized As Boolean)
    lbl.LinkTopic = "ProgMan|Progman"
    lbl.LinkMode = 2
    DoEvents
    lbl.LinkTimeout = 100

    lbl.LinkExecute "[ShowGroup(" & gname & ", 1)]"

    If minimized Then
        lbl.LinkExecute "[AddItem(" & _
            cmd & "," & iname & ",,,,,,,1)]"
    Else
        lbl.LinkExecute "[AddItem(" & _
            cmd & "," & iname & ")]"
    End If

    ' Restore lbl values.
    lbl.LinkTimeout = 50
    lbl.LinkMode = 0
End Sub
Private Sub CmdCreateGroup_Click()
    CreateGroup Label1(0), _
        GroupNameText.Text, _
        GroupFileText.Text
End Sub

Private Sub CmdCreateItem_Click()
    CreateItem Label1(0), _
        GroupNameText.Text, _
        ItemPathText.Text, _
        ItemNameText.Text, False
End Sub

